weka.core.stemmers

## Class IteratedLovinsStemmer

- java.lang.Object
- - weka.core.stemmers.LovinsStemmer
  - - weka.core.stemmers.IteratedLovinsStemmer

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler, Stemmer, TechnicalInformationHandler

      public class IteratedLovinsStemmer
      extends LovinsStemmer

  An iterated version of the Lovins stemmer. It stems the word (in case it's longer than 2 characters) until it no further changes.
  For more information about the Lovins stemmer see:
  Julie Beth Lovins (1968). Development of a stemming algorithm. Mechanical Translation and Computational Linguistics. 11:22-31.

  BibTeX:

       @article{Lovins1968,
          author = {Julie Beth Lovins},
          journal = {Mechanical Translation and Computational Linguistics},
          pages = {22-31},
          title = {Development of a stemming algorithm},
          volume = {11},
          year = {1968}
       }

  Version:
    $Revision: 8034 $
  Author:
    Eibe Frank (eibe at cs dot waikato dot ac dot nz)
  See Also:
    `LovinsStemmer`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IteratedLovinsStemmer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `globalInfo()` Returns a string describing the stemmer
    `static void` | `main(java.lang.String[] args)` Runs the stemmer with the given options
    `java.lang.String` | `stem(java.lang.String str)` Iterated stemming of the given word.

    - ### Methods inherited from class weka.core.stemmers.LovinsStemmer

      `getTechnicalInformation, stemString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IteratedLovinsStemmer

          public IteratedLovinsStemmer()

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Returns a string describing the stemmer
      Overrides:
        `globalInfo` in class `LovinsStemmer`
      Returns:
        a description suitable for displaying in the explorer/experimenter gui

    - #### stem

          public java.lang.String stem(java.lang.String str)

      Iterated stemming of the given word. Word is converted to lower case.
      Specified by:
        `stem` in interface `Stemmer`
      Overrides:
        `stem` in class `LovinsStemmer`
      Parameters:
        `str` - the word to stem
      Returns:
        the stemmed word

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Overrides:
        `getRevision` in class `LovinsStemmer`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      Runs the stemmer with the given options
      Parameters:
        `args` - the options